% ---------------------------------------------------------
%   plot_ship_tracks
%
%  Use m_map toolbox
%
%   run   extract_heading.plx first
% ---------------------------------------------------------

D = load('headings.dat');

lat = [ 38+30/60 39+30/60 ];             % map edges
lon = [ -(73+30/60) -(72+0/60) ];        % map edges

 figure(1); clf
 m_proj('mercator','lon',[lon(1) lon(2)],'lat',[lat(1) lat(2)]);
 m_grid('linestyle',':','box','fancy','tickdir','in','linewidth',3);

s_lat = D(:,8) + D(:,9)/60;
s_lon = -(D(:,10) + D(:,11)/60);

hln = m_line(s_lon,s_lat);


